<html>
<head>
<title>TestNG:  Serial_Test_Execution</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Serial_Test_Execution</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>4/0/0</td>
</tr><tr>
<td>Started on:</td><td>Fri Jan 05 20:42:40 IST 2024</td>
</tr>
<tr><td>Total time:</td><td>6 seconds (6796 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td><b>Attribute(s)</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='API_Methods.Get1_Request_Method.get1_executor()'><b>get1_executor</b><br>Test class: API_Methods.Get1_Request_Method<br>Test method: ::::::::::executing the Get1 API and validating the response body::::::::::</td>
<td></td>
<td>0</td>
<td>API_Methods.Get1_Request_Method@536f2a7e</td></tr>
<tr>
<td title='API_Methods.Post_Request_Method.post_executor()'><b>post_executor</b><br>Test class: API_Methods.Post_Request_Method<br>Test method: ::::::::::executing the Post API and validating the response body::::::::::</td>
<td></td>
<td>3</td>
<td>API_Methods.Post_Request_Method@723ca036</td></tr>
<tr>
<td title='API_Methods.Put_Request_Method.put_executor()'><b>put_executor</b><br>Test class: API_Methods.Put_Request_Method<br>Test method: ::::::::::executing the Put API and validating the response body::::::::::</td>
<td></td>
<td>1</td>
<td>API_Methods.Put_Request_Method@312aa7c</td></tr>
<tr>
<td title='API_Methods.Get2_Request_Method.get2_executor()'><b>get2_executor</b><br>Test class: API_Methods.Get2_Request_Method<br>Test method: ::::::::::executing the Get2 API and validating the response body::::::::::</td>
<td></td>
<td>0</td>
<td>API_Methods.Get2_Request_Method@72bc6553</td></tr>
</table><p>
</body>
</html>